Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## sum.strukturen
Class Suchbinaerbaum<Typ extends SuchbaumInhalt>

    java.lang.Object
      sum.strukturen.Binaerbaum<Typ>
          sum.strukturen.Suchbinaerbaum<Typ>

All Implemented Interfaces:
  Serializable

    public class Suchbinaerbaum<Typ extends SuchbaumInhalt>

extends Binaerbaum<Typ>
implements Serializable

Suchbinaerbaum ist die Klasse für einen Suchbaum nach der Schnittstelle aus dem learn:line Arbeitsbereich "Von Stiften und Mäusen".
Ein verwaltet Exemplare von Unterklassen der Klasse SuchbaumInhalt.
Er kann als Suchbinaerbaum mit einem Inhaltstyp deklariert werden. Wird dieser weggelassen, liefert die Anfrage suche ein Object und es wird Typkonversion nötig.

Version:
  7.5 vom 29.10.2013
Author:
  Horst Hildebrecht
See Also:
  Serialized Form

Field Summary
`(package private) static long` | `serialVersionUID`

Fields inherited from class
`kenntInhalt, kenntLinkenNachfolger, kenntRechtenNachfolger, kenntVater`

Constructor Summary
`Suchbinaerbaum()` Ein leerer Suchbaum existiert.

Method Summary
`void` | `entferne(Typ pObjekt)` Es gibt keinen Knoten im Suchbaum mit demselben Schlüssel wie pObjekt.
`void` | `entferneAlle()` Der Suchbinaerbaum ist nun leer.
`void` | `fuegeEin(Typ pInhalt)` Wenn ein Objekt mit dem Schlüssel von pInhalt noch nicht im Suchbaum war, wurde pInhalt passend eingefügt.
`Suchbinaerbaum<Typ>` | `linkerSuchbaum()` Diese Anfrage liefert den linken Teilbaum des Suchbaums.
`Suchbinaerbaum<Typ>` | `rechterSuchbaum()` Diese Anfrage liefert den rechten Teilbaum des Suchbaums.
`Liste` | `sortierteListe()` Diese Anfrage liefert eine nach dem Schlüssel sortierte Liste aller Inhalte des Suchbaums.
`Typ` | `suche(Typ pObjekt)` Wenn ein Objekt mit dem Schlüssel von pObjekt im Baum gefunden wurde, liefert die Anfrage dieses Objekt, andernfalls ist das Ergebnis null.

Methods inherited from class
`haengeLinksAn, haengeRechtsAn, istLeer, linkerTeilbaum, rechterTeilbaum, teilbaeumeLeer, toString, ueberschreibeWurzel, vater, wurzelInhalt`

Methods inherited from class
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    static final long serialVersionUID

See Also:
  Constant Field Values

Constructor Detail

### Suchbinaerbaum

    public Suchbinaerbaum()

  Ein leerer Suchbaum existiert.

Method Detail

### entferne

    public void entferne(Typ pObjekt)

  Es gibt keinen Knoten im Suchbaum mit demselben Schlüssel wie pObjekt.

### entferneAlle

    public void entferneAlle()

  Der Suchbinaerbaum ist nun leer.

### fuegeEin

    public void fuegeEin(Typ pInhalt)

  Wenn ein Objekt mit dem Schlüssel von pInhalt noch nicht im Suchbaum war, wurde pInhalt passend eingefügt. Andernfalls wurde der Zähler in dem entsprechenden Knoteninhalt um eins erhöht.

### linkerSuchbaum

    public Suchbinaerbaum<Typ> linkerSuchbaum()

  Diese Anfrage liefert den linken Teilbaum des Suchbaums.

### rechterSuchbaum

    public Suchbinaerbaum<Typ> rechterSuchbaum()

  Diese Anfrage liefert den rechten Teilbaum des Suchbaums.

### sortierteListe

    public Liste sortierteListe()

  Diese Anfrage liefert eine nach dem Schlüssel sortierte Liste aller Inhalte des Suchbaums.

### suche

    public Typ suche(Typ pObjekt)

  Wenn ein Objekt mit dem Schlüssel von pObjekt im Baum gefunden wurde, liefert die Anfrage dieses Objekt, andernfalls ist das Ergebnis null.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD